---
apiVersion: v1
kind: Service
metadata:
  labels:
    app.kubernetes.io/component: puppetboard
    app.kubernetes.io/instance: puppetserver
    app.kubernetes.io/name: puppetserver
    app.kubernetes.io/version: 8.8.0
  name: puppetboard
  namespace: puppet
spec:
  ports:
  - name: puppetboard
    port: 80
    protocol: TCP
    targetPort: puppetboard
  selector:
    app.kubernetes.io/component: puppetboard
    app.kubernetes.io/name: puppetserver
  type: ClusterIP
